
QGIS Application - Bug report #13747

SQLite error: near "ROWID": bad where clause creation

2015-11-03 10:06 AM - Alessandro Pasotti

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Data Provider

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21774

Description

src/providers/spatialite/qgsspatialitefeatureiterator.cpp

SQLite error: near "ROWID": syntax error

            SQL: SELECT ROWID,"name", AsBinary("geom") FROM "subscriber" WHERE MbrIntersects("geom",

BuildMbr(560889.65984337637200952, 145411.34752358502009884, 561054.68046854459680617,

145505.24680788681143895))ROWID IN (2)

Associated revisions

Revision 7a789d3b - 2015-11-03 07:10 PM - Alessandro Pasotti

Fixes #13747

Revision 60c591d3 - 2015-11-03 08:17 PM - Alessandro Pasotti 

Merge pull request #2416 from elpaso/bugfix-13747

Fixes #13747

Revision dbd9b9bc - 2015-11-07 12:29 PM - Alessandro Pasotti

Added HiDPI support to QgsWebView

The DPI value is get from QDesktopWidget and

the QWebView widget is zoomed if needed.

Fixes #13747

Revision 49c243c6 - 2015-11-18 10:46 AM - Nyall Dawson

Fixes #13747

History

#1 - 2015-11-03 10:13 AM - Alessandro Pasotti

- Resolution set to fixed/implemented
Fixed in https://github.com/qgis/QGIS/pull/2416

#2 - 2015-11-03 11:17 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"60c591d3a571d00eb46a3e7a573f7af1544bb5f3".
